Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.types
Class ConstraintMessage

    java.lang.Object
      jif.types.ConstraintMessage

    public class ConstraintMessage

extends java.lang.Object

A `LabelConstraintMessage` provides error messages for label constraints.

Constructor Summary
`ConstraintMessage()`

Method Summary
`java.lang.String` | `detailMsg()` A detailed message to display if the constraint is violated.
`Constraint.Kind` | `kind()`
`java.lang.String` | `msg()` A message to display if the constraint is violated.
`NamedLabel` | `namedLhs()`
`NamedLabel` | `namedRhs()`
`void` | `setConstraint(Constraint c)`
`java.lang.String` | `technicalMsg()` A technical message to display if the constraint is violated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstraintMessage

    public ConstraintMessage()

Method Detail

### msg

    public java.lang.String msg()

  A message to display if the constraint is violated. This message should be short, and explain without using typing rules what this constraint represents. It should not refer to the names of labels (i.e., names for `NamedLabel`s.

### detailMsg

    public java.lang.String detailMsg()

  A detailed message to display if the constraint is violated. This message may consist of several sentences, and may refer to the names of the labels, if `NamedLabel`s are used.

### technicalMsg

    public java.lang.String technicalMsg()

  A technical message to display if the constraint is violated. This message can refer to typing rules to explain what the constraint represents, and to names of labels, if `NamedLabel`s are used.

### setConstraint

    public void setConstraint(Constraint c)

### namedLhs

    public NamedLabel namedLhs()

### namedRhs

    public NamedLabel namedRhs()

### kind

    public Constraint.Kind kind()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD